package cn.bunny.enums;

import lombok.Getter;

/**
 * 统一返回结果状态信息类
 */
@Getter
public enum ResultCodeEnum {
    SUCCESS(200, "操作成功"),
    SUCCESS_LOGOUT(200, "退出成功"),
    FAIL(201, "失败"),
    SERVICE_ERROR(2012, "服务异常"),
    DATA_ERROR(204, "数据异常"),
    LOGIN_MOBLE_ERROR(204, "登录错误"),
    ILLEGAL_REQUEST(205, "非法请求"),
    REPEAT_SUBMIT(206, "重复提交"),

    LOGIN_AUTH(208, "未登陆"),
    PERMISSION(209, "没有权限"),

    URL_ENCODE_ERROR(216, "URL编码失败"),
    ILLEGAL_CALLBACK_REQUEST_ERROR(217, "非法回调请求"),
    FETCH_ACCESSTOKEN_FAILD(218, "获取accessToken失败"),
    FETCH_USERINFO_ERROR(219, "获取用户信息失败"),


    FAIL_REQUEST_NOT_AUTH(403, "用户未认证"),
    FAIL_NO_ACCESS_DENIED(403, "无权访问"),
    LOGGED_IN_FROM_ANOTHER_DEVICE(403, "没有权限访问"),
    THE_SAME_USER_HAS_LOGGED_IN(403, "相同用户已登录"),
    SESSION_EXPIRATION(403, "会话过期");


    private final Integer code;

    private final String message;

    ResultCodeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}